#version 430 core
in vec2 vTexPos;
out vec4 fColor;

uniform vec2 winSize;
uniform sampler2D screenTexture;

const float hOff = 2.0 / 600;
const float vOff = 2.0 / 600;
const float frac = 1.0 / 9;
const vec2 off[9] = vec2[](
      vec2( vOff,hOff )
    , vec2( vOff,0.0 )
    , vec2( vOff,-hOff )
    , vec2( 0.0,hOff )
    , vec2( 0.0,0.0 )
    , vec2( 0.0,-hOff )
    , vec2( -vOff,hOff )
    , vec2( -vOff,0.0 )
    , vec2( -vOff,-hOff )
    );
vec4 combinef (vec4 ac, vec4 bc)
//{ return vec4 (max(ac.x,bc.x),max(ac.y,bc.y),max(ac.z,bc.z),max(ac.w,bc.w));
{ return vec4 (max(ac.x,bc.x),max(ac.y,bc.y),max(ac.z,bc.z),ac.w +bc.w*frac);
}
void main()
{
    vec4 sampleTex[9];
    for(int i=0; i<9; i++)
    {
        sampleTex[i] = vec4(texture(screenTexture, vTexPos + off[i]));
    }
    vec4 col = vec4(0,0,0,0);
    for (int i = 0; i < 9; i++)
        col = combinef(col,sampleTex[i]);
        //col += sampleTex[i] * frac;
    fColor = col;
}
